-- 处理输入参数表，如果是不存在表示未处理过，需要处理，如果是已存在表示已经处理过了，不重复处理
-- 预置数据 且 业务对象字段 且 有用户加的规则（避免新用户被刷为1）
IF NOT EXISTS ( select 1 from t_brm_sceneinput tbs where fpresetisedit = '1' )
update t_brm_sceneinput set fpresetisedit='1'
where fissyspreset ='1' and fparamstype = 'dynamicObject' and fid in (select distinct fsceneid  from t_brm_drlfilter tbd where fissyspreset = '0');

-- 处理输出参数表，如果是不存在表示未处理过，需要处理，如果是已存在表示已经处理过了，不重复处理
-- 预置数据 且 业务对象字段 且 有用户加的规则（避免新用户被刷为1）
IF NOT EXISTS ( select 1 from t_brm_sceneoutput tbs where fpresetisedit = '1' )
update t_brm_sceneoutput set fpresetisedit='1'
where fissyspreset ='1' and fparamstype = 'dynamicObject' and fid in (select distinct fsceneid  from t_brm_drlfilter tbd where fissyspreset = '0');
